package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Loginaccount;
import com.muchinfo.mtp3pojos.vo.tradingacc.InitAddResult;
import com.muchinfo.mtp3pojos.vo.tradingacc.TradingAccountAddParam;
import com.muchinfo.mtp3pojos.vo.tradingacc.TradingAccountQueryParam;
import com.muchinfo.mtp3pojos.vo.tradingacc.TradingAccountQueryResult;

import javax.servlet.http.HttpServletRequest;

public interface ITradingAccountService {
    PageResult<TradingAccountQueryResult> query(HttpServletRequest request, TradingAccountQueryParam param);

    AjaxResult<Loginaccount> view(HttpServletRequest request, Long loginid);

    AjaxResult resetPwd(HttpServletRequest request, Long loginid);

    AjaxResult lockAccount(HttpServletRequest request, Integer status, Long loginid);

    AjaxResult delAccount(HttpServletRequest request, Long loginid);

    AjaxResult undelAccount(HttpServletRequest request, Long loginid);

    AjaxResult add(HttpServletRequest request, TradingAccountAddParam param);

    AjaxResult<InitAddResult> initAdd(HttpServletRequest request);

    AjaxResult edit(HttpServletRequest request, TradingAccountAddParam addParam);
}
